# IonDelugeTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class IonDelugeTag

Arena Tag class for Ion Deluge and the secondary effect of Plasma Fists. Converts Normal-type moves to Electric type for the rest of the turn.

#### Hierarchy (View Summary)

- ArenaTag
  - IonDelugeTag

- Defined in src/data/arena-tag.ts:657

##### Index

### Constructors

constructor

### Properties

side
sourceId?
sourceMove?
tagType
turnCount

### Methods

apply
getAffectedPokemon
getMoveName
getSourcePokemon
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new IonDelugeTag(sourceMove?: Moves ): IonDelugeTag

  #### Parameters

  - `Optional` sourceMove: Moves

  #### Returns IonDelugeTag

  Overrides ArenaTag.constructor

  - Defined in src/data/arena-tag.ts:658

## Properties

### side

side: ArenaTagSide = ArenaTagSide.BOTH

Inherited from ArenaTag.side

- Defined in src/data/arena-tag.ts:46

### `Optional` sourceId

sourceId?: number

Inherited from ArenaTag.sourceId

- Defined in src/data/arena-tag.ts:45

### `Optional` sourceMove

sourceMove?: Moves

Inherited from ArenaTag.sourceMove

- Defined in src/data/arena-tag.ts:44

### tagType

tagType: ArenaTagType

Inherited from ArenaTag.tagType

- Defined in src/data/arena-tag.ts:42

### turnCount

turnCount: number

Inherited from ArenaTag.turnCount

- Defined in src/data/arena-tag.ts:43

## Methods

### apply

- apply(_arena: Arena , _simulated: boolean, moveType: NumberHolder ): boolean

  Converts Normal-type moves to Electric type

  #### Parameters

  - _arena: Arena

    n/a

  - _simulated: boolean

    n/a

  - moveType: NumberHolder

    a `NumberHolder` containing a move's `PokemonType`

  #### Returns boolean

  `true` if the given move type changed; `false` otherwise.

  Overrides ArenaTag.apply

  - Defined in src/data/arena-tag.ts:676

### getAffectedPokemon

- getAffectedPokemon(): default []

  Helper function that retrieves the Pokemon affected

  #### Returns default []

  list of PlayerPokemon or EnemyPokemon on the field

  Inherited from ArenaTag.getAffectedPokemon

  - Defined in src/data/arena-tag.ts:100

### getMoveName

- getMoveName(): null | string

  #### Returns null | string

  Inherited from ArenaTag.getMoveName

  - Defined in src/data/arena-tag.ts:72

### getSourcePokemon

- getSourcePokemon(): null | default

  Helper function that retrieves the source Pokemon

  #### Returns null | default

  The source `Pokemon` or `null` if none is found

  Inherited from ArenaTag.getSourcePokemon

  - Defined in src/data/arena-tag.ts:92

### lapse

- lapse(_arena: Arena ): boolean

  #### Parameters

  - _arena: Arena

  #### Returns boolean

  Inherited from ArenaTag.lapse

  - Defined in src/data/arena-tag.ts:68

### loadTag

- loadTag(source: any): void

  When given a arena tag or json representing one, load the data for it. This is meant to be inherited from by any arena tag with custom attributes

  #### Parameters

  - source: any

    An arena tag

  #### Returns void

  Inherited from ArenaTag.loadTag

  - Defined in src/data/arena-tag.ts:81

### onAdd

- onAdd(_arena: Arena ): void

  Queues an on-add message

  #### Parameters

  - _arena: Arena

  #### Returns void

  Overrides ArenaTag.onAdd

  - Defined in src/data/arena-tag.ts:663

### onOverlap

- onOverlap(_arena: Arena , _source: null | default ): void

  #### Parameters

  - _arena: Arena
  - _source: null | default

  #### Returns void

  Inherited from ArenaTag.onOverlap

  - Defined in src/data/arena-tag.ts:66

### onRemove

- onRemove(_arena: Arena ): void

  #### Parameters

  - _arena: Arena

  #### Returns void

  Overrides ArenaTag.onRemove

  - Defined in src/data/arena-tag.ts:667